<?php

// Allow PHP API.
header('Access-Control-Allow-Origin: *');

header('Content-Type: application/json');

header("Access-Control-Allow-Methods: GET, POST, OPTIONS, PUT, DELETE");

header("Allow: GET, POST, OPTIONS, PUT, DELETE");

header("Access-Control-Allow-Headers: X-API-KEY, Origin, X-Requested-With, Content-Type, Accept, Access-Control-Request-Method, Access-Control-Allow-Origin");


if ($_SERVER['REQUEST_METHOD'] == "POST") {


    $data = file_get_contents('php://input');
    $data = json_decode($data, true);
    require_once "database.php";
    $objData = new db();

    if ($data['event_type'] === 'AddNewGroup') {
        $objData->execData("INSERT INTO `group`(`group_name`, `group_user_id`) VALUES (?,?)", [
            $data['group_name'],
            $data['group_user_id']
        ]);
        echo json_encode(array(
            "message" => "Successfuly.!",
            "data" => [],
            "status" => true
        ));
    }

    if ($data['event_type'] === 'UpdateGroup') {
        $objData->execData("UPDATE `group` SET `group_name`=?,`group_user_id`=? WHERE `group_id`=?", [
            $data['group_name'],
            $data['group_user_id'],
            $data['group_id'],
        ]);
        echo json_encode(array(
            "message" => "Successfuly.!",
            "data" => [],
            "status" => true
        ));
    }

    if ($data['event_type'] === 'getGroups') {
        $groups = $objData->getData("SELECT * FROM group");
        echo json_encode(array(
            "message" => "Successfuly.!",
            "data" => $groups,
            "status" => true
        ));
    }
    if ($data['event_type'] === 'getGroupById') {
        $groups = $objData->getData("SELECT * FROM group WHERE group_id=" . $data['group_id']);
        if ($groups) {
            echo json_encode(array(
                "message" => "Successfuly.!",
                "data" => $groups[0],
                "status" => true
            ));
        } else {
            echo json_encode(array(
                "message" => "Successfuly.!",
                "data" => [],
                "status" => true
            ));
        }
    }
}
