<?php

// Allow PHP API.
header('Access-Control-Allow-Origin: *');

header('Content-Type: application/json');

header("Access-Control-Allow-Methods: GET, POST, OPTIONS, PUT, DELETE");

header("Allow: GET, POST, OPTIONS, PUT, DELETE");

header("Access-Control-Allow-Headers: X-API-KEY, Origin, X-Requested-With, Content-Type, Accept, Access-Control-Request-Method, Access-Control-Allow-Origin");

if ($_SERVER['REQUEST_METHOD'] == "POST") {
    $data = file_get_contents('php://input');
    $data = json_decode($data, true);
    require_once "database.php";
    $objData = new db();
    
    if($data['event_type'] === 'getListOfApi')
    {
        $api_list= $objData->getData("SELECT * FROM scalpers_api");
        echo json_encode(array(
            "message" => "",
            "data" => $api_list,
            "status" => true
        ));
    }
    if($data['event_type'] === 'addNewApiItem')
    {
        if(intval($data['api_id']) === -1)
        {
            $objData->execData("insert into scalpers_api(api_key,api_secret, api_name)values(?,?,?)", [
                $data['api_key'],
                $data['api_secret'],
                $data['api_name']
            ]);
        }
        else
        {
            $objData->execData("update scalpers_api set api_key=?,api_secret=?,api_name=? where api_id=?", [
                $data['api_key'],
                $data['api_secret'],
                $data['api_name'],
                $data['api_id']
            ]);
        }
        
        echo json_encode(array(
            "message" => "Added api item successfuly.!",
            "data" => "",
            "status" => true
        ));
    }
    
    if($data['event_type'] === 'removeApiItem')
    {
            $objData->execData("delete from scalpers_api where api_id=?", [
                $data['id']
            ]);
        echo json_encode(array(
            "message" => "remove api item successfuly.!",
            "data" => "",
            "status" => true
        ));
    }
    
    if($data['event_type'] === 'getApiItem')
    {
        $l = $objData->getData("select * from scalpers_api where api_id=" . intval($data['id']));
        echo json_encode(array(
            "message" => "",
            "data" => $l[0],
            "status" => true
        ));
    }
    
}