<?php

// Allow PHP API.
header('Access-Control-Allow-Origin: *');

header('Content-Type: application/json');

header("Access-Control-Allow-Methods: GET, POST, OPTIONS, PUT, DELETE");

header("Allow: GET, POST, OPTIONS, PUT, DELETE");

header("Access-Control-Allow-Headers: X-API-KEY, Origin, X-Requested-With, Content-Type, Accept, Access-Control-Request-Method, Access-Control-Allow-Origin");


if ($_SERVER['REQUEST_METHOD'] == "POST") {

    $data = file_get_contents('php://input');
    $data = json_decode($data, true);
    require_once "database.php";
    $objData = new db();

function getCount($tablename, $coon)
    {
        $count = $coon->getData('select count(*) as len from '.$tablename);
        $count = $count[0]['len'];
        return intval($count);
    }
    if ($data['event_type'] === 'GetLevels') {
        $from = $data['from'];
        $to = $data['to'];
        $levels = $objData->getData("SELECT * FROM scalpers_levels order by id desc limit " . $from . ',' . $to);
        $levels_count = getCount('scalpers_levels', $objData);
        echo json_encode(array(
                "message" => "Successfuly.!",
                "data" => array("levels" => $levels, "len" => $levels_count),
                "status" => true
            ));
    }
    if ($data['event_type'] === 'addLevel') {
        
        $objData->execData("INSERT scalpers_levels(level_value, level_deals_count) values(?,?)", [
            $data['level_value'],
            $data['level_deals_count']
        ]);
        echo json_encode(array(
                "message" => "Successfuly.!",
                "data" => [],
                "status" => true
        ));
    }
    if ($data['event_type'] === 'updateLevel') {
        
        $objData->execData("UPDATE scalpers_levels set level_value=?,level_deals_count=? WHERE id=?", [
            $data['level_value'],
            $data['level_deals_count'],
            $data['id']
        ]);
        echo json_encode(array(
                "message" => "Successfuly.!",
                "data" => [],
                "status" => true
        ));
    }
    if ($data['event_type'] === 'deleteLevel') {
        
        $objData->execData("DELETE FROM scalpers_levels WHERE id=?",[
            $data['id']
        ]);
        echo json_encode(array(
                "message" => "Successfuly.!",
                "data" => [],
                "status" => true
        ));
    }
    if($data['event_type'] === 'getLevel')
    {
        $level = $objData->getData("SELECT * FROM scalpers_levels where id=" . $data['id']);
        echo json_encode(array(
                "message" => "Successfuly.!",
                "data" => $level[0],
                "status" => true
            ));
    }
    
    if($data['event_type'] === 'getLevelByValue')
    {
        $level = $objData->getData("SELECT * FROM scalpers_levels where level_value=" . $data['id']);
        echo json_encode(array(
                "message" => "Successfuly.!",
                "data" => $level[0],
                "status" => true
            ));
    }
    
} else {
    header("HTTP/1.1 404 Not Found");
}
