<?php

// Allow PHP API.
header('Access-Control-Allow-Origin: *');

header('Content-Type: application/json');

header("Access-Control-Allow-Methods: GET, POST, OPTIONS, PUT, DELETE");

header("Allow: GET, POST, OPTIONS, PUT, DELETE");

header("Access-Control-Allow-Headers: X-API-KEY, Origin, X-Requested-With, Content-Type, Accept, Access-Control-Request-Method, Access-Control-Allow-Origin");

if ($_SERVER['REQUEST_METHOD'] == "POST") {

    $data = file_get_contents('php://input');
    $data = json_decode($data, true);
    require_once "database.php";
    $objData = new db();

    if ($data['event_type'] == "getSettings") {
        $settings = $objData->getData('select * from scalpers_settings');
        $settings[0]['user_is_logged'] = isset($_COOKIE['scale_user']) ? true : false;
        $settings_def = $objData->getData('select * from defalut_settings');
        $settings[0]['settings_def'] = $settings_def;
        $req_len = $objData->getData("SELECT count(*) as len FROM scalpers_deals_requests");
        $req_len = $req_len[0]['len'];
        $settings[0]['req_list_len'] = $req_len;
        echo json_encode(array(
            "message" => "",
            "data" => $settings[0],
            "status" => true
        ));
    }

    if ($data['event_type'] == "UpdateAppName") {
        $settings = $objData->execData('update scalpers_settings set app_name=? where setting_id=1', [
            $data['app_name']
        ]);
        echo json_encode(array(
            "message" => "",
            "data" => $data['event_type'],
            "status" => true
        ));
    }
    if ($data['event_type'] == "UpdateAppAPIKEY") {
        $settings = $objData->execData('update scalpers_settings set app_api_key=? where setting_id=1', [
            $data['app_api_key']
        ]);
        echo json_encode(array(
            "message" => "",
            "data" => $data['event_type'],
            "status" => true
        ));
    }
    if ($data['event_type'] == "UpdateAppAPISECRET") {
        $settings = $objData->execData('update scalpers_settings set app_secret_key=? where setting_id=1', [
            $data['app_secret_key']
        ]);
        echo json_encode(array(
            "message" => "",
            "data" => $data['event_type'],
            "status" => true
        ));
    }
    if ($data['event_type'] == "UpdateUserMaxLevel") {
        $settings = $objData->execData('update scalpers_settings set user_max_level=? where setting_id=1', [
            $data['user_max_level']
        ]);
        echo json_encode(array(
            "message" => "",
            "data" => $data['event_type'],
            "status" => true
        ));
    }
    if ($data['event_type'] == "UpdateInMant") {
        $settings = $objData->execData('update scalpers_settings set in_mant=? where setting_id=1', [
            $data['in_mant']
        ]);
        echo json_encode(array(
            "message" => "",
            "data" => $data['event_type'],
            "status" => true
        ));
    }
    
    if($data['event_type'] === 'defalut_settings')
    {
        foreach(array_keys($data['settings']) as $set)
        {
            $objData->execData('update defalut_settings set def_value=? where def_name=?', [
                $data['settings'][$set],
                $set
            ]);
        }
        echo json_encode(array(
            "message" => "",
            "data" => $data,
            "status" => true
        ));
    }
    if ($data['event_type'] == "GetdefalutSettings") {
        $settings = $objData->getData('select * from defalut_settings');
        echo json_encode(array(
            "message" => "",
            "data" => $settings,
            "status" => true
        ));
    }
    
} else {
    header("HTTP/1.1 404 Not Found");
}
