<?php

// Allow PHP API.
header('Access-Control-Allow-Origin: *');
header('Content-Type: application/json');
header("Access-Control-Allow-Methods: GET, POST, OPTIONS, PUT, DELETE");
header("Allow: GET, POST, OPTIONS, PUT, DELETE");
header("Access-Control-Allow-Headers: X-API-KEY, Origin, X-Requested-With, Content-Type, Accept, Access-Control-Request-Method, Access-Control-Allow-Origin");


require_once("./PhpOffice/vendor/autoload.php");

use PhpOffice\PhpSpreadsheet\Calculation\Statistical\Distributions\F;
use PhpOffice\PhpSpreadsheet\Spreadsheet;
use PhpOffice\PhpSpreadsheet\Reader\IReader;
use PhpOffice\PhpSpreadsheet\Writer\IWriter;


if ($_SERVER['REQUEST_METHOD'] == "POST") {

	$data = file_get_contents('php://input');
	$data = json_decode($data, true);
	require_once "database.php";
	$objData = new db();

	
	if($data['event_type'] === 'getTableTemplate')
	{
	    $tableTemplate = $objData->getData("SELECT * FROM table_column_template WHERE col_type='".$data['col_type']."' AND user_id=" . $data['user_id']);
	    echo json_encode(array(
			"message" => "",
			"data" => $tableTemplate,
			"status" => true
		));
	}
	if($data['event_type'] === 'setTableTemplate')
	{
	    $templateList = $data['template'];
	    foreach($templateList as $item)
	    {
	        $getItem = $objData->getData("SELECT * FROM table_column_template WHERE col_name='" . $item['name'] . "' AND col_type='" . $data['col_type'] . "' AND user_id=" . $data['user_id']);
	        if($getItem){ // we found the column in table with this type
	           $objData->execData("UPDATE table_column_template SET col_status=? WHERE col_name=? AND col_type=? AND user_id=?", [
	                $item['state'],
	                $item['name'],
	                $data['col_type'],
	                $data['user_id']
	           ]);
	        }
	        else
	        {
	            $objData->execData("INSERT INTO table_column_template(col_name,col_type,col_status, user_id) VALUES(?,?,?,?)", [
	                $item['name'],
	                $data['col_type'],
	                $item['state'],
	                $data['user_id'],
	           ]);
	        }
	    }
	    echo json_encode(array(
			"message" => "",
			"data" => [],
			"status" => true
		));
	}
}
